Description

¢ steps to reproduce:
1) Use Plasma with Wayland or X11
2) Upgrade system with pacman -Syu using the following additional repositories: nonprism, nonsystemd
3) Restart system
4) Many Plasma programs no longer work properly

e expected result:
Plasma programs should work as usual, without showing error message boxes.

¢ actual result:
Multiple Plasma programs (such as Kdenlive, Dolphin and Gwenview) open but don't work, showing an error message box
saying "The process for the tags protocol died unexpectedly.” Dolphin also shows an error message at the top of the window
saying "The process for the file protocol died unexpectedly." There is also an error message on the center of the desktop saying
"The process for the desktop protocol died unexpectedly." Baloo also crashes when starting a new session.

Certain Plasma programs are working with no issues, such as Konsole and System Settings. This issue also persists after
temporarily removing certain local KDE directories, such as ~/.kde4 and ~/.local/share/baloo. The same issue occurs on brand new
user accounts as well, but Baloo doesn't seem to crash when logging in.

Xfce works with no issues, but | also receive an error message saying that baloo crashed, although everything seems to work fine
there. | am not sure which package is causing this issue, but I'll keep this issue up-to-date if | find anything new. | have not tried to
downgrade any packages yet.

History

#1 - 2021-11-24 08:34 PM - laust

Same here (also on nonsystemd).
Starting dolphin or gwenview from a terminal, then trying to open a different folder :

kf.kio.core: "The process for the {1} protocol died unexpectedly." with {1} being 'files', 'tags', and possibly others. Which does not tell much more than
the GUI message, except it mentions kio.

#2 - 2021-12-02 05:22 AM - bill-auger

i am unable to confirm this - i get no errors from the kdenlive, dolphin, or gwenview programs - it is possible that the reported problems were
temporary, and were fixed upstream

#3 - 2021-12-06 10:54 PM - Jetpack

bill-auger wrote:
i am unable to confirm this - i get no errors from the kdenlive, dolphin, or gwenview programs - it is possible that the reported problems were
temporary, and were fixed upstream

Sorry for the delay, | was busy.

The problem persists even after a full system upgrade. What's interesting is that | was also unable to reproduce this issue on a fresh Parabola install,
yet Plasma is still broken on my system, even after creating a new user.

#4 - 2022-10-03 07:39 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to confirmed

2024-04-23 1/2




forgot to close this ticket - a similar problem appeared again recently - these are probably both due to nonprism/kio having a version mismatch with
other k-things

ive pinned nonprism/kio to the version of the other k-things, which should prevent this problem in the future

#5 - 2022-10-03 07:39 PM - bill-auger

- Status changed from confirmed to fixed
